## synergy 1.4.5

=== CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Version number for Synergy
set(VERSION_MAJOR 1)
set(VERSION_MINOR 4)
set(VERSION_REV 5)
set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REV}")

# The check for 2.6 may be too strict (consider lowering).
cmake_minimum_required(VERSION 2.4.7)

# CMake complains if we don't have this.
if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif()

# We're escaping quotes in the Windows version number, because
# for some reason CMake won't do it at config version 2.4.7
# It seems that this restores the newer behaviour where define
# args are not auto-escaped.
if (COMMAND cmake_policy)
	cmake_policy(SET CMP0005 NEW)
endif()

# First, declare project (important for prerequisite checks).
project(synergy C CXX)

# put binaries in a different dir to make them easier to find.
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

# for unix, put debug files in a separate bin "debug" dir.
# release bin files should stay in the root of the bin dir.
if (CMAKE_GENERATOR STREQUAL "Unix Makefiles")
  if (CMAKE_BUILD_TYPE STREQUAL Debug)
    set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin/debug)
    set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib/debug)
  endif()
endif()

# Set some easy to type variables.
set(root_dir ${CMAKE_SOURCE_DIR})
set(cmake_dir ${root_dir}/res)
set(bin_dir ${root_dir}/bin)
set(doc_dir ${root_dir}/doc)
set(doc_dir ${root_dir}/doc)

# Declare libs, so we can use list in linker later. There's probably 
# a more elegant way of doing this; with SCons, when you check for the
# lib, it is automatically passed to the linker.
set(libs)

# Depending on the platform, pass in the required defines.
if (UNIX)

	# For config.h, detect the libraries, functions, etc.
	include(CheckIncludeFiles)
	include(CheckLibraryExists)
	include(CheckFunctionExists)
	include(CheckTypeSize)
	include(CheckIncludeFileCXX)
	include(CheckSymbolExists)
	include(CheckCSourceCompiles)

	check_include_file_cxx(istream HAVE_ISTREAM)
	check_include_file_cxx(ostream HAVE_OSTREAM)
	check_include_file_cxx(sstream HAVE_SSTREAM)

	check_include_files(inttypes.h HAVE_INTTYPES_H)
	check_include_files(locale.h HAVE_LOCALE_H)
	check_include_files(memory.h HAVE_MEMORY_H)
	check_include_files(stdlib.h HAVE_STDLIB_H)
	check_include_files(strings.h HAVE_STRINGS_H)
	check_include_files(string.h HAVE_STRING_H)
	check_include_files(sys/select.h HAVE_SYS_SELECT_H)
	check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
	check_include_files(sys/stat.h HAVE_SYS_STAT_H)
	check_include_files(sys/time.h HAVE_SYS_TIME_H)
	check_include_files(sys/utsname.h HAVE_SYS_UTSNAME_H)
	check_include_files(unistd.h HAVE_UNISTD_H)
	check_include_files(wchar.h HAVE_WCHAR_H)

	check_function_exists(getpwuid_r HAVE_GETPWUID_R)
	check_function_exists(gmtime_r HAVE_GMTIME_R)
	check_function_exists(nanosleep HAVE_NANOSLEEP)
	check_function_exists(poll HAVE_POLL)
	check_function_exists(sigwait HAVE_POSIX_SIGWAIT)
	check_function_exists(strftime HAVE_STRFTIME)
	check_function_exists(vsnprintf HAVE_VSNPRINTF)
	check_function_exists(inet_aton HAVE_INET_ATON)
	
	# For some reason, the check_function_exists macro doesn't detect
	# the inet_aton on some pure Unix platforms (e.g. sunos5). So we
	# need to do a more detailed check and also include some extra libs.
	if (NOT HAVE_INET_ATON)

		set(CMAKE_REQUIRED_LIBRARIES nsl)
		check_c_source_compiles(
			"#include <arpa/inet.h>\n int main() { inet_aton(0, 0); }" 
			HAVE_INET_ATON_ADV)
		set(CMAKE_REQUIRED_LIBRARIES)

		if (HAVE_INET_ATON_ADV)
			
			# Override the previous fail.
			set(HAVE_INET_ATON 1)

			# Assume that both nsl and socket will be needed,
			# it seems safe to add socket on the back of nsl,
			# since socket only ever needed when nsl is needed.
			list(APPEND libs nsl socket)

		endif()

	endif()

	check_type_size(char SIZEOF_CHAR)
	check_type_size(int SIZEOF_INT)
	check_type_size(long SIZEOF_LONG)
	check_type_size(short SIZEOF_SHORT)

	# pthread is used on both Linux and Mac
	check_library_exists("pthread" pthread_create "" HAVE_PTHREAD)
	if (HAVE_PTHREAD)
		list(APPEND libs pthread)
	else (HAVE_PTHREAD)
		message(FATAL_ERROR "Missing library: pthread")
	endif()
	
	if (APPLE)
		exec_program(uname ARGS -v OUTPUT_VARIABLE DARWIN_VERSION)
		string(REGEX MATCH "[0-9]+" DARWIN_VERSION ${DARWIN_VERSION})
		message(STATUS "DARWIN_VERSION=${DARWIN_VERSION}")
		if (DARWIN_VERSION LESS 9)
			# 10.4: universal (32-bit intel and power pc) 
			set(CMAKE_OSX_ARCHITECTURES "ppc;i386"
				CACHE STRING "" FORCE)
		else()
			# 10.5+: 32-bit only (missing funcs in 64-bit os libs)
			set(CMAKE_OSX_ARCHITECTURES "i386"
				CACHE STRING "" FORCE)
		endif()

		find_library(lib_ScreenSaver ScreenSaver)
		find_library(lib_IOKit IOKit)
		find_library(lib_ApplicationServices ApplicationServices)
		find_library(lib_Foundation Foundation)
		find_library(lib_Carbon Carbon)

		list(APPEND libs
			${lib_ScreenSaver}
			${lib_IOKit}
			${lib_ApplicationServices}
			${lib_Foundation}
			${lib_Carbon}
		)

	else()

		set(XKBlib "X11/XKBlib.h")
		check_include_files("${XKBlib};X11/extensions/dpms.h" HAVE_X11_EXTENSIONS_DPMS_H)
		check_include_files("X11/extensions/Xinerama.h" HAVE_X11_EXTENSIONS_XINERAMA_H)
		check_include_files("${XKBlib};X11/extensions/XKBstr.h" HAVE_X11_EXTENSIONS_XKBSTR_H)
		check_include_files("X11/extensions/XKB.h" HAVE_XKB_EXTENSION)
		check_include_files("X11/extensions/XTest.h" HAVE_X11_EXTENSIONS_XTEST_H)
		check_include_files(${XKBlib} HAVE_X11_XKBLIB_H)

		if (HAVE_X11_EXTENSIONS_DPMS_H)
			# Assume that function prototypes declared, when include exists.
			set(HAVE_DPMS_PROTOTYPES 1)
		endif()

		if (NOT HAVE_X11_XKBLIB_H)
			message(FATAL_ERROR "Missing header: " ${XKBlib})
		endif()

		check_library_exists("SM;ICE" IceConnectionNumber "" HAVE_ICE)
		check_library_exists("X11;Xext" DPMSQueryExtension "" HAVE_Xext)
		check_library_exists("X11;Xext;Xtst" XTestQueryExtension "" HAVE_Xtst)
		check_library_exists("Xinerama" XineramaQueryExtension "" HAVE_Xinerama)

		if (HAVE_ICE)

			# Assume we have SM if we have ICE.
			set(HAVE_SM 1)
			list(APPEND libs SM ICE)

		endif()

		if (HAVE_Xtst)

			# Xtxt depends on X11.
			set(HAVE_X11)
			list(APPEND libs X11 Xtst)

		else()

			message(FATAL_ERROR "Missing library: Xtst")

		endif()

		if (HAVE_Xext)
			list(APPEND libs Xext)
		endif()

		if (HAVE_Xinerama)
			list(APPEND libs Xinerama)
		else (HAVE_Xinerama)
			if (HAVE_X11_EXTENSIONS_XINERAMA_H)
				message(FATAL_ERROR "Missing library: Xinerama")
			endif()
		endif()

	endif()

	# For config.h, set some static values; it may be a good idea to make
	# these values dynamic for non-standard UNIX compilers.
	set(ACCEPT_TYPE_ARG3 socklen_t)
	set(HAVE_CXX_BOOL 1)
	set(HAVE_CXX_CASTS 1)
	set(HAVE_CXX_EXCEPTIONS 1)
	set(HAVE_CXX_MUTABLE 1)
	set(HAVE_CXX_STDLIB 1)
	set(HAVE_PTHREAD_SIGNAL 1)
	set(SELECT_TYPE_ARG1 int)
	set(SELECT_TYPE_ARG234 "(fd_set *)")
	set(SELECT_TYPE_ARG5 "(struct timeval *)")
	set(STDC_HEADERS 1)
	set(TIME_WITH_SYS_TIME 1)
	set(HAVE_SOCKLEN_T 1)

	# For config.h, save the results based on a template (config.h.in).
	configure_file(res/config.h.in ${root_dir}/config.h)

	add_definitions(-DSYSAPI_UNIX=1 -DHAVE_CONFIG_H)

	if (APPLE)
		add_definitions(-DWINAPI_CARBON=1 -D_THREAD_SAFE -DMACOSX_DEPLOYMENT_TARGET=10.4)
	else (APPLE)
		add_definitions(-DWINAPI_XWINDOWS=1)
	endif()

else (UNIX)

	list(APPEND libs Wtsapi32 Userenv)

	add_definitions(
		/DWIN32
		/D_WINDOWS
		/D_CRT_SECURE_NO_WARNINGS
		/DVERSION=\"${VERSION}\"
	)

endif()

add_subdirectory(src)

if (WIN32)
	# add /analyze in order to unconver potential bugs in the source code
	# Details: http://msdn.microsoft.com/en-us/library/fwkeyyhe.aspx
	# add /FR to generate browse information (ncb files) usefull for using IDE

	#define _BIND_TO_CURRENT_CRT_VERSION 1
	#define _BIND_TO_CURRENT_ATL_VERSION 1
	#define _BIND_TO_CURRENT_MFC_VERSION 1
	#define _BIND_TO_CURRENT_OPENMP_VERSION 1
	# next line replaced the previous 4 ones:
	#define _BIND_TO_CURRENT_VCLIBS_VERSION 1;

	# compiler: /MP - use multi cores to compile
	# added _SECURE_SCL=1 for finding bugs with iterators - http://msdn.microsoft.com/en-us/library/aa985965.aspx
	
	# common args between all vs builds
	set(VS_ARGS "/FR /MP /D _BIND_TO_CURRENT_VCLIBS_VERSION=1 /D _SECURE_SCL=1 ${VS_ARGS_EXTRA}")
	
	# we may use `cmake -D VS_ARGS_EXTRA="/analyze"` for example to specify
	# analyze mode (since we don't always want to use it; e.g. on non-team 
	# or non-x86 compiler editions where there's no support)
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} ${VS_ARGS}")
	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} ${VS_ARGS}")

	# this line removes "/D NDEBUG" from release, we want them in order to
	# find bugs even on release builds.
	set(CMAKE_CXX_FLAGS_RELEASE "/MD /O2 /Ob2")

endif()

if (CONF_CPACK)

	if (WIN32)
	   message(FATAL_ERROR "CPack support for Windows has been removed.")
	endif()

	if (UNIX)
		if (APPLE)
			message(FATAL_ERROR "CPack support for Apple has been removed.")
		else ()
			install(FILES bin/synergy
				DESTINATION bin
				PERMISSIONS
				OWNER_READ OWNER_WRITE OWNER_EXECUTE
				GROUP_READ GROUP_EXECUTE
				WORLD_READ WORLD_EXECUTE)

			# install gnome menu item
			install(FILES res/synergy.desktop
				DESTINATION share/applications)
			install(FILES res/synergy.ico
				DESTINATION share/icons)
		endif()
	endif()

	# The default CPack behaviour is not to append the system processor
	# type, which is undesirable in our case, since we want to support 
	# both 32-bit and 64-bit processors.
	set(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR})

	set(CPACK_PACKAGE_NAME "synergy")
	set(CPACK_PACKAGE_VENDOR "The Synergy Project")
	set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Synergy server and client")
	set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
	set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
	set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_REV})
	set(CPACK_PACKAGE_VERSION ${VERSION})
	set(CPACK_PACKAGE_CONTACT http://synergy-foss.org/)
	set(CPACK_RESOURCE_FILE_LICENSE "${cmake_dir}/License.rtf")
	set(CPACK_RESOURCE_FILE_README "${cmake_dir}/Readme.txt")

	# Must be last (since it relies of CPACK_ vars).
	include(CPack)

endif()

if (CONF_DOXYGEN)

	set(VERSION, "${VERSION}")

	# For doxygen.cfg, save the results based on a template (doxygen.cfg.in).
	configure_file(${cmake_dir}/doxygen.cfg.in ${doc_dir}/doxygen.cfg)

endif()

=== src/lib/platform/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

if (WIN32)

	set(inc
		CMSWindowsClipboard.h
		CMSWindowsClipboardAnyTextConverter.h
		CMSWindowsClipboardBitmapConverter.h
		CMSWindowsClipboardHTMLConverter.h
		CMSWindowsClipboardTextConverter.h
		CMSWindowsClipboardUTF16Converter.h
		CMSWindowsDesks.h
		CMSWindowsEventQueueBuffer.h
		CMSWindowsKeyState.h
		CMSWindowsScreen.h
		CMSWindowsScreenSaver.h
		CMSWindowsUtil.h
		CMSWindowsRelauncher.h
		CMSWindowsHookLibraryLoader.h
		IMSWindowsClipboardFacade.h
	)

	set(src
		${inc}
		CMSWindowsClipboard.cpp
		CMSWindowsClipboardFacade.cpp
		CMSWindowsClipboardAnyTextConverter.cpp
		CMSWindowsClipboardBitmapConverter.cpp
		CMSWindowsClipboardHTMLConverter.cpp
		CMSWindowsClipboardTextConverter.cpp
		CMSWindowsClipboardUTF16Converter.cpp
		CMSWindowsDesks.cpp
		CMSWindowsEventQueueBuffer.cpp
		CMSWindowsKeyState.cpp
		CMSWindowsScreen.cpp
		CMSWindowsScreenSaver.cpp
		CMSWindowsUtil.cpp
		CMSWindowsRelauncher.cpp
		CMSWindowsHookLibraryLoader.cpp
	)
	
	set(inc_hook
		CSynergyHook.h
	)
	
	set(src_hook
		CSynergyHook.cpp
	)

	set(inc_xinhook
		XInputHook.h
		HookDLL.h
	)
	
	set(src_xinhook
		XInputHook.cpp
		HookDLL.cpp
	)

	set(inc_xinproxy13
		XInput13.h
		XInputProxy13.h
	)

	set(src_xinproxy13
		XInputProxy13.cpp
	)

elseif (APPLE)

	set(src
		COSXClipboard.cpp
		COSXClipboardAnyTextConverter.cpp
		COSXClipboardTextConverter.cpp
		COSXClipboardUTF16Converter.cpp
		COSXEventQueueBuffer.cpp
		COSXKeyState.cpp
		COSXScreen.cpp
		COSXScreenSaver.cpp
		COSXScreenSaverUtil.m
	)
	
elseif (UNIX)

	set(src
		CXWindowsClipboard.cpp
		CXWindowsClipboardAnyBitmapConverter.cpp
		CXWindowsClipboardBMPConverter.cpp
		CXWindowsClipboardHTMLConverter.cpp
		CXWindowsClipboardTextConverter.cpp
		CXWindowsClipboardUCS2Converter.cpp
		CXWindowsClipboardUTF8Converter.cpp
		CXWindowsEventQueueBuffer.cpp
		CXWindowsKeyState.cpp
		CXWindowsScreen.cpp
		CXWindowsScreenSaver.cpp
		CXWindowsUtil.cpp
	)
	
endif()

set(inc
	../arch
	../base
	../common
	../mt
	../synergy
)

if (UNIX)
	list(APPEND inc
		../../..
	)
endif()

include_directories(${inc})
add_library(platform STATIC ${src})

if (WIN32)
	add_library(synrgyhk SHARED ${inc_hook} ${src_hook})

	# copy the dlls (and supporting files) from the lib dir to 
	# the bin dir, so that synergyc and synergys can easily find them.
	# we should leave the other libraries compiling to the lib dir,
	# so that the bin dir remains tidy. the path is relative to the
	# build dir (in this case, that's: build\src\lib\platform).
	add_custom_command(
		TARGET synrgyhk 
		POST_BUILD
		COMMAND xcopy /Y /Q
			..\\..\\..\\..\\lib\\${CMAKE_CFG_INTDIR}\\synrgyhk.*
			..\\..\\..\\..\\bin\\${CMAKE_CFG_INTDIR}\\
	)

	if (GAME_DEVICE_SUPPORT)
		include_directories($ENV{DXSDK_DIR}/Include)
		add_library(synxinhk SHARED ${inc_xinhook} ${src_xinhook})

		add_custom_command(
			TARGET synxinhk
			POST_BUILD
			COMMAND xcopy /Y /Q
				..\\..\\..\\..\\lib\\${CMAKE_CFG_INTDIR}\\synxinhk.*
				..\\..\\..\\..\\bin\\${CMAKE_CFG_INTDIR}\\
			)

		# synergy xinput1_3.dll proxy
		include_directories($ENV{DXSDK_DIR}/Include)
		add_library(sxinpx13 SHARED ${inc_xinproxy13} ${src_xinproxy13})
		target_link_libraries(sxinpx13 synxinhk)
		add_custom_command(
			TARGET sxinpx13
			POST_BUILD
			COMMAND xcopy /Y /Q
				..\\..\\..\\..\\lib\\${CMAKE_CFG_INTDIR}\\sxinpx13.*
				..\\..\\..\\..\\bin\\${CMAKE_CFG_INTDIR}\\
			)
	endif()
endif()

if (UNIX)
	target_link_libraries(platform synergy)
endif()

=== src/test/integtests/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(src
	Main.cpp
)

if (WIN32)
	
	# windows
	list(APPEND src
		platform/CMSWindowsClipboardTests.cpp
		platform/CMSWindowsKeyStateTests.cpp
	)

elseif (APPLE)

	# mac
	list(APPEND src
		platform/COSXClipboardTests.cpp
		platform/COSXKeyStateTests.cpp
	)

elseif (UNIX)

	# unix/linux
	list(APPEND src
		platform/CXWindowsClipboardTests.cpp
		platform/CXWindowsKeyStateTests.cpp
	)

endif()

set(inc
	../../lib/arch
	../../lib/base
	../../lib/client
	../../lib/common
	../../lib/io
	../../lib/mt
	../../lib/net
	../../lib/platform
	../../lib/synergy
	../../../tools/gtest-1.6.0/include
	../../../tools/gmock-1.6.0/include
	../unittests
	../unittests/synergy
)

if (UNIX)
	list(APPEND inc
		../../..
	)
endif()

if (WIN32)
	if (GAME_DEVICE_SUPPORT)
		link_directories("$ENV{DXSDK_DIR}/Lib/x86")
	endif()
endif()

include_directories(${inc})
add_executable(integtests ${src})
target_link_libraries(integtests
	arch base client common io mt net platform server synergy gtest gmock ${libs})

=== src/test/unittests/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(h
	synergy/CKeyStateTests.h
	synergy/CMockEventQueue.h
	synergy/CMockKeyMap.h
)	

set(src
	${h}
	Main.cpp
	synergy/CClipboardTests.cpp
	synergy/CKeyStateTests.cpp
)

set(inc
	../../lib/arch
	../../lib/base
	../../lib/client
	../../lib/common
	../../lib/io
	../../lib/mt
	../../lib/net
	../../lib/platform
	../../lib/synergy
	../../../tools/gtest-1.6.0/include
	../../../tools/gmock-1.6.0/include
)

if (UNIX)
	list(APPEND inc
		../../..
	)
endif()

if (WIN32)
	if (GAME_DEVICE_SUPPORT)
		link_directories("$ENV{DXSDK_DIR}/Lib/x86")
	endif()
endif()

include_directories(${inc})
add_executable(unittests ${src})
target_link_libraries(unittests
	arch base client common io mt net platform server synergy gtest gmock ${libs})

=== debian/changelog ===
synergy (1.4.5-1) experimental; urgency=low

  * Move to upstream 1.4.x series.

 -- Jeff Licquia <licquia@debian.org>  Sat, 14 Jan 2012 13:59:27 -0500

=== debian/control ===
Source: synergy
Section: x11
Priority: optional
Maintainer: Jeff Licquia <licquia@debian.org>
Homepage: http://synergy-foss.org/
Vcs-Bzr: http://bzr.licquia.org/synergy/debian/
Vcs-Browser: http://bzr.licquia.org/loggerhead/synergy/debian/
Build-Depends: debhelper (>= 7), libxt-dev, libxtst-dev, libxinerama-dev, cmake, docbook-to-man
Standards-Version: 3.9.2

Package: synergy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Share mouse, keyboard and clipboard over the network
 Synergy lets you easily share a single mouse and keyboard between
 multiple computers with different operating systems, each with its
 own display, without special hardware.  It's intended for users
 with multiple computers on their desk since each system uses its
 own display.
 .
 Redirecting the mouse and keyboard is as simple as moving the mouse
 off the edge of your screen.  Synergy also merges the clipboards of
 all the systems into one, allowing cut-and-paste between systems.
 Furthermore, it synchronizes screen savers so they all start and stop
 together and, if screen locking is enabled, only one screen requires
 a password to unlock them all.
 .
 Packages for Windows/MacOS/RPM and Sources can be found at
 http://sourceforge.net/project/showfiles.php?group_id=59275

## synergy 1.4.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Version number for Synergy
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 4)
-set(VERSION_REV 5)
+set(VERSION_REV 10)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REV}")
 
 # The check for 2.6 may be too strict (consider lowering).
@@ -149,10 +149,13 @@
 			set(CMAKE_OSX_ARCHITECTURES "ppc;i386"
 				CACHE STRING "" FORCE)
 		else()
-			# 10.5+: 32-bit only (missing funcs in 64-bit os libs)
+			# 10.5+: 32-bit only -- missing funcs in 64-bit os libs
+			# such as GetGlobalMouse.
 			set(CMAKE_OSX_ARCHITECTURES "i386"
 				CACHE STRING "" FORCE)
 		endif()
+		
+		set(CMAKE_CXX_FLAGS "--sysroot ${CMAKE_OSX_SYSROOT} ${CMAKE_CXX_FLAGS}")
 
 		find_library(lib_ScreenSaver ScreenSaver)
 		find_library(lib_IOKit IOKit)
@@ -170,13 +173,19 @@
 
 	else()
 
-		set(XKBlib "X11/XKBlib.h")
+		# add include dir for bsd (posix uses /usr/include/)
+		set(CMAKE_INCLUDE_PATH "${CMAKE_INCLUDE_PATH}:/usr/local/include")
+
+		set(XKBlib "X11/Xlib.h;X11/XKBlib.h")
+		check_symbol_exists("XRRNotifyEvent" "${XKBlib};X11/extensions/Xrandr.h" HAVE_X11_EXTENSIONS_XRANDR_H)
+
 		check_include_files("${XKBlib};X11/extensions/dpms.h" HAVE_X11_EXTENSIONS_DPMS_H)
 		check_include_files("X11/extensions/Xinerama.h" HAVE_X11_EXTENSIONS_XINERAMA_H)
 		check_include_files("${XKBlib};X11/extensions/XKBstr.h" HAVE_X11_EXTENSIONS_XKBSTR_H)
 		check_include_files("X11/extensions/XKB.h" HAVE_XKB_EXTENSION)
 		check_include_files("X11/extensions/XTest.h" HAVE_X11_EXTENSIONS_XTEST_H)
-		check_include_files(${XKBlib} HAVE_X11_XKBLIB_H)
+		check_include_files("${XKBlib}" HAVE_X11_XKBLIB_H)
+		check_include_files("X11/extensions/XInput2.h" HAVE_XI2)
 
 		if (HAVE_X11_EXTENSIONS_DPMS_H)
 			# Assume that function prototypes declared, when include exists.
@@ -188,9 +197,11 @@
 		endif()
 
 		check_library_exists("SM;ICE" IceConnectionNumber "" HAVE_ICE)
-		check_library_exists("X11;Xext" DPMSQueryExtension "" HAVE_Xext)
-		check_library_exists("X11;Xext;Xtst" XTestQueryExtension "" HAVE_Xtst)
+		check_library_exists("Xext;X11" DPMSQueryExtension "" HAVE_Xext)
+		check_library_exists("Xtst;Xext;X11" XTestQueryExtension "" HAVE_Xtst)
 		check_library_exists("Xinerama" XineramaQueryExtension "" HAVE_Xinerama)
+		check_library_exists("Xi" XISelectEvents "" HAVE_Xi)
+		check_library_exists("Xrandr" XRRQueryExtension "" HAVE_Xrandr)
 
 		if (HAVE_ICE)
 
@@ -204,7 +215,7 @@
 
 			# Xtxt depends on X11.
 			set(HAVE_X11)
-			list(APPEND libs X11 Xtst)
+			list(APPEND libs Xtst X11)
 
 		else()
 
@@ -220,11 +231,20 @@
 			list(APPEND libs Xinerama)
 		else (HAVE_Xinerama)
 			if (HAVE_X11_EXTENSIONS_XINERAMA_H)
-				message(FATAL_ERROR "Missing library: Xinerama")
+				set(HAVE_X11_EXTENSIONS_XINERAMA_H 0)
+				message(WARNING "Old Xinerama implementation detected, disabled")
 			endif()
 		endif()
 
-	endif()
+		if (HAVE_Xrandr)
+			list(APPEND libs Xrandr)
+		endif()
+
+	endif()
+
+        IF(HAVE_Xi)
+                LIST(APPEND libs Xi)
+        ENDIF()
 
 	# For config.h, set some static values; it may be a good idea to make
 	# these values dynamic for non-standard UNIX compilers.
@@ -248,7 +268,7 @@
 	add_definitions(-DSYSAPI_UNIX=1 -DHAVE_CONFIG_H)
 
 	if (APPLE)
-		add_definitions(-DWINAPI_CARBON=1 -D_THREAD_SAFE -DMACOSX_DEPLOYMENT_TARGET=10.4)
+		add_definitions(-DWINAPI_CARBON=1 -D_THREAD_SAFE)
 	else (APPLE)
 		add_definitions(-DWINAPI_XWINDOWS=1)
 	endif()
@@ -263,7 +283,22 @@
 		/D_CRT_SECURE_NO_WARNINGS
 		/DVERSION=\"${VERSION}\"
 	)
-
+	
+	if (MSVC_VERSION EQUAL 1600)
+		set(SLN_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/synergy.sln")
+		if (EXISTS "${SLN_FILENAME}" )
+			file(APPEND "${SLN_FILENAME}" "\n# This should be regenerated!\n")
+		endif()
+	endif()
+
+endif()
+
+if (GAME_DEVICE_SUPPORT)
+	add_definitions(-DGAME_DEVICE_SUPPORT)
+endif()
+
+if (VNC_SUPPORT)
+	add_definitions(-DVNC_SUPPORT)
 endif()
 
 add_subdirectory(src)
@@ -346,9 +381,3 @@
 
 if (CONF_DOXYGEN)
 
-	set(VERSION, "${VERSION}")
-
-	# For doxygen.cfg, save the results based on a template (doxygen.cfg.in).
-	configure_file(${cmake_dir}/doxygen.cfg.in ${doc_dir}/doxygen.cfg)
-
-endif()

=== src/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2011 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(lib)
add_subdirectory(cmd)
if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "IRIX")
	add_subdirectory(test)
endif()
add_subdirectory(plugin)
add_subdirectory(micro)

if (VNC_SUPPORT)
	add_subdirectory(vnc)
endif()

=== src/cmd/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2011 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(synergyc)
add_subdirectory(synergys)
add_subdirectory(synergyd)
add_subdirectory(usynergy)

=== src/lib/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(arch)
add_subdirectory(base)
add_subdirectory(client)
add_subdirectory(common)
add_subdirectory(io)
add_subdirectory(ipc)
add_subdirectory(mt)
add_subdirectory(net)
add_subdirectory(platform)
add_subdirectory(server)
add_subdirectory(synergy)

=== src/micro/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(src
	uSynergy.c
)

if (WIN32)
	list(APPEND src uSynergy.h)
endif()

add_library(micro STATIC ${src})

=== src/plugin/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

if (WIN32)
	add_subdirectory(winmmjoy)
endif()

=== src/vnc/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


if (WIN32)
add_subdirectory(common)
	add_subdirectory(win)
elseif (UNIX)
	#add_subdirectory(unix)
endif()

=== src/cmd/synergyc/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(src
	synergyc.cpp
)

if (WIN32)
	list(APPEND src
		CMSWindowsClientTaskBarReceiver.cpp
		CMSWindowsClientTaskBarReceiver.h
		resource.h
		synergyc.ico
		synergyc.rc
		tb_error.ico
		tb_idle.ico
		tb_run.ico
		tb_wait.ico
	)
elseif (APPLE)
	list(APPEND src COSXClientTaskBarReceiver.cpp)
elseif (UNIX)
	list(APPEND src CXWindowsClientTaskBarReceiver.cpp)	
endif()

set(inc
	../../lib/arch
	../../lib/base
	../../lib/client
	../../lib/common
	../../lib/io
	../../lib/ipc
	../../lib/mt
	../../lib/net
	../../lib/platform
	../../lib/synergy
)

if (UNIX)
	list(APPEND inc
		../../..
	)
endif()

if (VNC_SUPPORT)
	list(APPEND libs vnc_server vnc_client)
endif()

include_directories(${inc})
add_executable(synergyc ${src})
target_link_libraries(synergyc
	arch base client common io mt net ipc platform server synergy ${libs})

if (CONF_CPACK)
	install(TARGETS
		synergyc
		COMPONENT core
		DESTINATION bin)
endif()

=== src/cmd/synergyd/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(src
	synergyd.cpp
)

set(inc
	../../lib/arch
	../../lib/base
	../../lib/common
	../../lib/io
	../../lib/ipc
	../../lib/mt
	../../lib/net
	../../lib/platform
	../../lib/synergy
)

if (UNIX)
	list(APPEND inc
		../../..
	)
endif()

include_directories(${inc})

if (WIN32)
  add_executable(synergyd WIN32 ${src})
else()
  add_executable(synergyd ${src})
endif()

if (VNC_SUPPORT)
	list(APPEND libs vnc_server vnc_client)
endif()

target_link_libraries(synergyd
	arch base common io ipc mt net platform synergy ${libs})

if (CONF_CPACK)
	install(TARGETS
		synergyd
		COMPONENT core
		DESTINATION bin)
endif()

=== src/cmd/synergys/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(src
	synergys.cpp
)

if (WIN32)
	list(APPEND src
		CMSWindowsServerTaskBarReceiver.cpp
		CMSWindowsServerTaskBarReceiver.h
		resource.h
		synergys.ico
		synergys.rc
		tb_error.ico
		tb_idle.ico
		tb_run.ico
		tb_wait.ico
	)
elseif (APPLE)
	list(APPEND src COSXServerTaskBarReceiver.cpp)	
elseif (UNIX)
	list(APPEND src CXWindowsServerTaskBarReceiver.cpp)
endif()

set(inc
	../../lib/arch
	../../lib/base
	../../lib/common
	../../lib/io
	../../lib/ipc
	../../lib/mt
	../../lib/net
	../../lib/platform
	../../lib/synergy
	../../lib/server
)

if (UNIX)
	list(APPEND inc
		../../..
	)
endif()

if (VNC_SUPPORT)
	list(APPEND libs vnc_server vnc_client)
endif()

include_directories(${inc})
add_executable(synergys ${src})
target_link_libraries(synergys
	arch base client common io mt net ipc platform server synergy ${libs})

if (CONF_CPACK)
	install(TARGETS
		synergys
		COMPONENT core
		DESTINATION bin)
endif()

=== src/cmd/usynergy/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

if (WIN32)
	set(src uSynergyWin32.c)
elseif (UNIX)
	set(src uSynergyUnix.c)
endif()

include_directories(../../micro)
add_executable(usynergy ${src})
target_link_libraries(usynergy micro)

=== src/lib/arch/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2009 Chris Schoeneman, Nick Bolton, Sorin Sbarnea
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(src
	CArch.cpp
	IArchString.cpp
	XArch.cpp
	CArchConsoleStd.cpp
)

if (WIN32)

	set(inc
		CArchConsoleWindows.h
		CArchDaemonWindows.h
		CArchFileWindows.h
		CArchLogWindows.h
		CArchMiscWindows.h
		CArchMultithreadWindows.h
		CArchNetworkWinsock.h
		CArchSleepWindows.h
		CArchStringWindows.h
		CArchSystemWindows.h
		CArchTaskBarWindows.h
		CArchTimeWindows.h
		CArchConsoleStd.h
		XArchWindows.h
		CMultibyte.h
		vsnprintf.h
		XArch.h
		IArchPlugin.h
		CArchPluginWindows.h
	)

	list(APPEND src
		${inc}
		CArchConsoleWindows.cpp
		CArchDaemonWindows.cpp
		CArchFileWindows.cpp
		CArchLogWindows.cpp
		CArchMiscWindows.cpp
		CArchMultithreadWindows.cpp
		CArchNetworkWinsock.cpp
		CArchSleepWindows.cpp
		CArchStringWindows.cpp
		CArchSystemWindows.cpp
		CArchTaskBarWindows.cpp
		CArchTimeWindows.cpp
		XArchWindows.cpp
		CArchPluginWindows.cpp
	)
	
elseif (UNIX)

	list(APPEND src
		CArchConsoleUnix.cpp
		CArchDaemonUnix.cpp
		CArchFileUnix.cpp
		CArchLogUnix.cpp
		CArchMultithreadPosix.cpp
		CArchNetworkBSD.cpp
		CArchSleepUnix.cpp
		CArchStringUnix.cpp
		CArchSystemUnix.cpp
		CArchTaskBarXWindows.cpp
		CArchTimeUnix.cpp
		XArchUnix.cpp
		CArchDaemonNone.cpp
		CArchPluginUnix.cpp
	)
	
endif()

set(inc
	../base
	../common
	../mt
	../platform
	../synergy
)

if (UNIX)
	list(APPEND inc
		../../..
		../arch
	)
endif()

include_directories(${inc})
add_library(arch STATIC ${src})

if (WIN32)
	if (GAME_DEVICE_SUPPORT)
		target_link_libraries(arch synxinhk)
	endif()
endif()

=== debian/changelog ===
synergy (1.4.10-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 20 Dec 2012 23:18:21 -0600

synergy (1.4.10-1) experimental; urgency=low

  * New upstream version.

 -- Jeff Licquia <licquia@debian.org>  Sun, 28 Oct 2012 16:35:08 -0400

synergy (1.4.8-1) experimental; urgency=low

  * New upstream version.
  * Add synergyd, a new daemon upstream is working on (more for
    Windows, I think).

 -- Jeff Licquia <licquia@debian.org>  Sun, 15 Apr 2012 20:40:40 -0400

synergy (1.4.7-1) experimental; urgency=low

  * New upstream version.
  * Remove gnome3.patch (pulled in upstream).
  * Update Standards-Version.

 -- Jeff Licquia <licquia@debian.org>  Sun, 01 Apr 2012 20:14:53 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
LDFLAGS = -Wl,-z,defs

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CXXFLAGS = $(CFLAGS)

builddir:
	mkdir builddir

config.h: CMakeLists.txt builddir
	dh_testdir
	(cd builddir && cmake ..)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: builddir config.h
	dh_testdir

	(cd builddir && $(MAKE))

	# Upstream provides nearly-useless man pages.  If
	# you want to use them, uncomment these and comment
	# the docbook-to-man lines out.
	#cp doc/synergys.man synergys.1
	#cp doc/synergyc.man synergyc.1

	# Use the man pages provided by a Debian user.
	docbook-to-man debian/synergys.sgml > synergys.1
	docbook-to-man debian/synergyc.sgml > synergyc.1
	docbook-to-man debian/synergyd.sgml > synergyd.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp 
	rm -rf builddir bin lib
	rm -f synergys.1 synergyc.1 synergyd.1 config.h

	find . -name \*.pyc -delete

	dh_clean 

test: build-stamp
	bin/unittests --gtest_color=no
	# Disabled; seems to segfault often.
	#bin/integtests --gtest_color=no

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp bin/synergyd bin/synergyc bin/synergys $(CURDIR)/debian/synergy/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install test
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman synergys.1 synergyc.1 synergyd.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
